%define upstream_name    NetAddr-IP
%define upstream_version 4.066

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Manage IPv4 and IPv6 addresses and subnets in Perl
License:    Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/NetAddr/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
%description
This module provides an object-oriented abstraction on top of IP
addresses or IP subnets, that allows for easy manipulations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
rm -f t/00-Sign.t # debug files make it fails

%build
%{__perl} Makefile.PL  INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc Changes META.yml MYMETA.yml TODO
%{perl_vendorarch}/NetAddr
%{perl_vendorarch}/auto/NetAddr
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.66.0-2.mga3
+ Revision: 370986
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 4.66.0-1.mga3
+ Revision: 315213
- update to 4.066

* Wed Oct 03 2012 jquelin <jquelin> 4.65.0-1.mga3
+ Revision: 302423
- update to 4.065

* Fri Sep 28 2012 jquelin <jquelin> 4.64.0-1.mga3
+ Revision: 298989
- update to 4.064

* Fri Jun 08 2012 kharec <kharec> 4.62.0-1.mga3
+ Revision: 257926
- update to 4.062

* Tue Jun 05 2012 jquelin <jquelin> 4.61.0-1.mga3
+ Revision: 255256
- update to 4.061

* Wed May 30 2012 jquelin <jquelin> 4.58.0-2.mga3
+ Revision: 250967
- rebuild for perl 5.16

* Sat Nov 12 2011 kharec <kharec> 4.58.0-1.mga2
+ Revision: 166962
- update to 4.058

* Sat Nov 05 2011 kharec <kharec> 4.56.0-1.mga2
+ Revision: 163651
- update to 4.056

* Thu Oct 13 2011 jquelin <jquelin> 4.48.0-1.mga2
+ Revision: 154430
- update to 4.048

* Wed Jun 15 2011 jquelin <jquelin> 4.44.0-1.mga2
+ Revision: 107215
- update to 4.044

* Sun Jun 12 2011 sander85 <sander85> 4.43.0-2.mga2
+ Revision: 104803
- Rebuild for perl 5.14

* Thu Apr 07 2011 jquelin <jquelin> 4.43.0-1.mga1
+ Revision: 81784
- update to 4.043

* Thu Mar 24 2011 jquelin <jquelin> 4.42.0-1.mga1
+ Revision: 76670
- update to 4.042

* Wed Mar 09 2011 jquelin <jquelin> 4.41.0-1.mga1
+ Revision: 67024
- update to 4.041

* Tue Feb 22 2011 jquelin <jquelin> 4.40.0-1.mga1
+ Revision: 56685
- update to 4.040

* Sat Jan 22 2011 jquelin <jquelin> 4.38.0-1.mga1
+ Revision: 32769
- mageia rebuild
- imported package perl-NetAddr-IP

